'
' Las/Pasm regression test file
'
' Copyright 2009 William Henning
'
' http://mikronatus.com
'

con
  id=123
  src=$20
  dst=$30

dat

        long $11223344,$55667788 ' make my assembler's output align with prop tool, at $0020

        org 0

start   abs     dst,src

        absneg  1,2
        add     3,#4
        addabs  $a,$b
        adds    1,src
        addsx   dst,2
        addx    dst,src
        and     dst,src
        andn    dst,src
        call    #start          ' dst good, src messedup
        clkset  dst
        cmp     dst,src
        cmps    dst,src
        cmpsub  dst,src
        cmpsx   dst,src
        cmpx    dst,src
        cogid   dst
        coginit dst
        cogstop dst
        
start_ret djnz    dst,#start_ret
        hubop   dst,src

        jmp     dst
        jmpret  dst,src
        lockclr dst
        locknew dst
        lockret dst
        lockset dst

        max     dst,src
        maxs    dst,src
        min     dst,src
        mins    dst,src
        mov     dst,src

        movd    dst,src
        movi    dst,src
        movs    dst,src
        muxc    dst,src
        muxnc   dst,src
        muxnz   dst,src
        muxz    dst,src
        neg     dst,src
        negc    dst,src
        negnc   dst,src
        negnz   dst,src
        negz    dst,src
        nop
        or      dst,src
        rdbyte  dst,src
        rdlong  dst,src
        rdword  dst,src
        rcl     dst,src
        rcr     dst,src
        ret
        rev     dst,src
        rol     dst,src
        ror     dst,src
        sar     dst,src
        shl     dst,src
        shr     dst,src
        sub     dst,src
        subabs  dst,src
        subs    dst,src
        subsx   dst,src
        subx    dst,src
        sumc    dst,src
        sumnc   dst,src
        sumnz   dst,src
        sumz    dst,src
        test    dst,src
        tjnz    dst,src
        tjz     dst,src
        waitcnt dst,src
        waitpeq dst,src
        waitpne dst,src
        waitvid dst,src
        wrbyte  dst,src
        wrlong  dst,src
        wrword  dst,src
        xor     dst,src

'------------------------------------------------
' phase 2 test - immediate flag & effect codes
'------------------------------------------------

        cmps    dst,src nr
        cmps    dst,#src nr
        cmps    dst,src wr
        cmps    dst,src wc
        cmps    dst,src wz

'------------------------------------------------
' phase 3 test - condition codes
'------------------------------------------------

                cmps  dst,src
 if_always      cmps  dst,src
 if_never       cmps  dst,src
 if_e           cmps  dst,src
 if_ne          cmps  dst,src
 if_a           cmps  dst,src
 if_b           cmps  dst,src
 if_ae          cmps  dst,src
 if_be          cmps  dst,src
 if_c           cmps  dst,src
 if_nc          cmps  dst,src
 if_z           cmps  dst,src
 if_nz          cmps  dst,src
 if_c_eq_z      cmps  dst,src
 if_c_ne_z      cmps  dst,src
 if_c_and_z     cmps  dst,src
 if_c_and_nz    cmps  dst,src
 if_nc_and_z    cmps  dst,src
 if_nc_and_nz   cmps  dst,src
 if_c_or_z      cmps  dst,src
 if_c_or_nz     cmps  dst,src
 if_nc_or_z     cmps  dst,src
 if_nc_or_nz    cmps  dst,src
 if_z_eq_c      cmps  dst,src
 if_z_ne_c      cmps  dst,src
 if_z_and_c     cmps  dst,src
 if_z_and_nc    cmps  dst,src
 if_nz_and_c    cmps  dst,src
 if_nz_and_nc   cmps  dst,src
 if_z_or_c      cmps  dst,src
 if_z_or_nc     cmps  dst,src
 if_nz_or_c     cmps  dst,src
 if_nz_or_nc    cmps  dst,src

pub dummy ' this will generate one long beyond the cog code. ignore the difference
